- Qt 5.15
- Qt Quick
- C++ Classes
- ItemChangeData
- Qt 5.15.18 Reference Documentation

# ItemChangeData Union

union QQuickItem::ItemChangeData

Adds supplementary information to the QQuickItem::itemChange() function. More...

- List of all members, including inherited members

## Public Variables

bool | boolValue
QQuickItem * | item
qreal | realValue
QQuickWindow * | window

## Detailed Description

The meaning of each member of this class is defined by the change type.

See also QQuickItem::ItemChange.

## Member Variable Documentation

### bool ItemChangeData::boolValue

The boolean value that has changed: visible, enabled, activeFocus or antialiasing.

See also QQuickItem::ItemChange.

### QQuickItem *ItemChangeData::item

The item that has been added or removed as a child, or the new parent.

See also QQuickItem::ItemChange.

### qreal ItemChangeData::realValue

The numeric value that has changed: opacity, rotation or device pixel ratio.

See also QQuickItem::ItemChange.

### QQuickWindow *ItemChangeData::window

The window in which the item has been shown, or `nullptr` if the item has been removed from a window.

See also QQuickItem::ItemChange.